Page MenuHomePhabricator

Clicking to the right of a table in Firefox puts the cursor inside the last cell (but not in cell editing mode)
Closed, ResolvedPublic8 Story Points

Description

Typing in this position causes model & view corruption:

Chrome puts the cursor in the next paragraph, although it may be just good luck that this usually ends up being a valid cursor position.

Other acceptable results would be selecting the table, or clearing the selection (NullSelection).

Event Timeline

Esanders created this task.Sep 28 2017, 8:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2017, 8:34 AM

Change 381235 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ce.Surface: in observed selection changes, only make cursorable selections

https://gerrit.wikimedia.org/r/381235

Change 381235 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ce.Surface: in observed selection changes, only make cursorable selections

https://gerrit.wikimedia.org/r/381235

Change 381805 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ce.Surface: handle table-adjacent observed selection changes better

https://gerrit.wikimedia.org/r/381805

Change 381814 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (cb52d8b7a)

https://gerrit.wikimedia.org/r/381814

Change 381814 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (cb52d8b7a)

https://gerrit.wikimedia.org/r/381814

Change 381805 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ce.Surface: handle table-adjacent observed selection changes better

https://gerrit.wikimedia.org/r/381805

Change 383612 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e8188bac8)

https://gerrit.wikimedia.org/r/383612

Change 383612 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e8188bac8)

https://gerrit.wikimedia.org/r/383612

Jdforrester-WMF closed this task as Resolved.Oct 11 2017, 7:31 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF assigned this task to DLynch.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Sorry, RTB got confused.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 11 2017, 7:31 PM
Elitre renamed this task from Clicking to the right of a table in Firefox puts the cursor inside the last the cell (but not in cell editing mode) to Clicking to the right of a table in Firefox puts the cursor inside the last cell (but not in cell editing mode).Oct 18 2017, 9:51 AM